package com.brilliance.isc.common.nosmod.bo;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;

/**
 * @program: isc-core
 * @ClassName: Noscbs
 * @description:
 * @author: huangshunlin
 * @create: 2024-10-18 20:34
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Noscbs extends AbstractCommonVo implements Serializable {
    private Cbb nos;

    @Override
    public void reset() {
        super.reset();
        if (nos == null) {
            nos = new Cbb();
        }
        nos.reset();
    }
}
